FreeBSD : wireshark -- multiple vulnerabilities (610101ea-5b6a-11e6-b334-002590263bf5)

Medium Nessus Plugin ID 92771


The remote FreeBSD host is missing one or more security-related updates.


Wireshark development team reports :

The following vulnerabilities have been fixed :

- wnpa-sec-2016-41

PacketBB crash. (Bug 12577)

- wnpa-sec-2016-42

WSP infinite loop. (Bug 12594)

- wnpa-sec-2016-44

RLC long loop. (Bug 12660)

- wnpa-sec-2016-45

LDSS dissector crash. (Bug 12662)

- wnpa-sec-2016-46

RLC dissector crash. (Bug 12664)

- wnpa-sec-2016-47

OpenFlow long loop. (Bug 12659)

- wnpa-sec-2016-48

MMSE, WAP, WBXML, and WSP infinite loop. (Bug 12661)

- wnpa-sec-2016-49

WBXML crash. (Bug 12663)


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 92771

File Name: freebsd_pkg_610101ea5b6a11e6b334002590263bf5.nasl

Version: $Revision: 2.3 $

Type: local

Published: 2016/08/08

Modified: 2016/10/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P


Base Score: 5.9

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:tshark, p-cpe:/a:freebsd:freebsd:tshark-lite, p-cpe:/a:freebsd:freebsd:wireshark, p-cpe:/a:freebsd:freebsd:wireshark-lite, p-cpe:/a:freebsd:freebsd:wireshark-qt5, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/08/06

Vulnerability Publication Date: 2016/07/27

Reference Information

CVE: CVE-2016-6505, CVE-2016-6506, CVE-2016-6508, CVE-2016-6509, CVE-2016-6510, CVE-2016-6511, CVE-2016-6512, CVE-2016-6513